For the complete documentation index, see llms.txt. This page is also available as Markdown.

Client

Get Service Connector Client

get

Get a service connector client for a service connector and given resource.

This requires the service connector implementation to be installed on the ZenML server, otherwise a 501 Not Implemented error will be returned.

Args: connector_id: ID of the service connector. resource_type: Type of the resource to list. resource_id: ID of the resource to list.

Returns: A service connector client that can be used to access the given resource.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
connector_idstring · uuidRequired
Query parameters
resource_typestring · nullableOptional
resource_idstring · nullableOptional
Responses
200

Successful Response

application/json

Response model for service connectors.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
get/api/v1/service_connectors/{connector_id}/client
ZenML Scarf

Last updated

Was this helpful?